@ECHO OFF
REM By Default, BuildWise working folder:
REM   C:\Document and Settings\username\.buildwise
REM   /home/username/.buildwise
REM You can overwrite below

REM run server in which mode:
REM   demo: by default set to use sqlite3 database
REM   production: set to mysql2 database
SET RACK_ENV=production

REM the location of buildwise working folder
SET BUILDWISE_HOME=C:\agileway\.buildwise

REM migrate database
CALL migrate

REM start the server, -p <port_number>
REM  puma is a web server, if not installed, change to rackup.  (bundle exec rackup -p 3618)   

bundle exec puma -p 3618